Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Unstable Konqueror & KDevelop
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Gulliver
Guest





PostPosted: Thu Apr 18, 2002 2:21 pm    Post subject: Unstable Konqueror & KDevelop Reply with quote

Hi,

I've installed Gentoo 1.1a with KDE 3.0, and it's running fine.
But the Konqueror and KDevelop are very unstable.
KDevelop crashes for example every time I create / load a project.
Konqueror sometimes crashes without any reason!

My false? Or KDE, or Gentoo problem?

Many greetings from Germany,
Julian
Back to top
+BroNNoS+
n00b
n00b


Joined: 17 Apr 2002
Posts: 46
Location: Groningen, The Netherlands

PostPosted: Thu Apr 18, 2002 3:10 pm    Post subject: Reply with quote

Well, on my Gentoo box KDE3 and Konq are stable as a rock!! So draw your own conclusion ;-)
Back to top
View user's profile Send private message
Gulliver
Guest





PostPosted: Thu Apr 18, 2002 3:14 pm    Post subject: addition Reply with quote

Konqueror ever crashes, when a new window will be opened.

Nobody an idea?
Back to top
freefall
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2002
Posts: 89

PostPosted: Thu Apr 18, 2002 6:30 pm    Post subject: Reply with quote

I have also noted that Konquerer often crashes when I open a new window. Don't know how to make it go away though.
Back to top
View user's profile Send private message
c_kuzmanic
Guru
Guru


Joined: 18 Apr 2002
Posts: 488
Location: Los Angeles , California

PostPosted: Thu Apr 18, 2002 6:33 pm    Post subject: Reply with quote

Just out of curiosity: Did any of you use the object-prelink function defined in make.conf? I had problems with Kde 3.0 when this function was enabled.
Back to top
View user's profile Send private message
Gulliver
Tux's lil' helper
Tux's lil' helper


Joined: 18 Apr 2002
Posts: 146
Location: Hamburg, Germany

PostPosted: Thu Apr 18, 2002 7:02 pm    Post subject: Reply with quote

c_kuzmanic wrote:
Just out of curiosity: Did any of you use the object-prelink function defined in make.conf? I had problems with Kde 3.0 when this function was enabled.


Hi,

I don't have this function enabled, as I think :wink:
Back to top
View user's profile Send private message
freefall
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2002
Posts: 89

PostPosted: Thu Apr 18, 2002 7:39 pm    Post subject: Reply with quote

c_kuzmanic wrote:
Just out of curiosity: Did any of you use the object-prelink function defined in make.conf? I had problems with Kde 3.0 when this function was enabled.


Nope.
Back to top
View user's profile Send private message
c_kuzmanic
Guru
Guru


Joined: 18 Apr 2002
Posts: 488
Location: Los Angeles , California

PostPosted: Fri Apr 19, 2002 1:05 am    Post subject: Reply with quote

Ok, what I would do in this case is simple: Emerge rsync to update your portage tree and re-emerge KDE 3.0. If KDE still doesn't work properly after re-emerging, you should provide some debugging info and your hardware specs.
Back to top
View user's profile Send private message
c_kuzmanic
Guru
Guru


Joined: 18 Apr 2002
Posts: 488
Location: Los Angeles , California

PostPosted: Fri Apr 19, 2002 1:17 am    Post subject: Reply with quote

Before you re-emerge the whole thing also make sure that you have the latest version of glibc installed (2.2.5-r2)
Back to top
View user's profile Send private message
Gulliver
Tux's lil' helper
Tux's lil' helper


Joined: 18 Apr 2002
Posts: 146
Location: Hamburg, Germany

PostPosted: Fri Apr 19, 2002 11:56 am    Post subject: Reply with quote

c_kuzmanic wrote:
Before you re-emerge the whole thing also make sure that you have the latest version of glibc installed (2.2.5-r2)


Hi,

I've installed glibc 2.2.5-r2
when I try to emerge -r3 I get
!!! ebuild sys-libs/glibc-2.2.5-r3 not found (possibly blocked by package.mask)

Many greetings from Germany,
Julian
Back to top
View user's profile Send private message
c_kuzmanic
Guru
Guru


Joined: 18 Apr 2002
Posts: 488
Location: Los Angeles , California

PostPosted: Fri Apr 19, 2002 12:08 pm    Post subject: Reply with quote

Julian,

There is currently no glibc-2.2.5-r3 in the portage tree. That means that it doesn't exist yet, therefore you won't be able to emerge it :wink:

Alles klar?
Back to top
View user's profile Send private message
Gulliver
Tux's lil' helper
Tux's lil' helper


Joined: 18 Apr 2002
Posts: 146
Location: Hamburg, Germany

PostPosted: Fri Apr 19, 2002 1:04 pm    Post subject: Reply with quote

ahh!
But why there is an -r3.ebuild script?
And if I look at the debug messages, I think the problems are glibc related.
Any ideas what to do? Install an old glibc?
In the IRC-Channel someone told me to recompile KDE without opengl in USE-Variable, because I use VESA-Drivers for my Kyro2 (Kyro drivers didn't compile on Gentoo. See my thread in the main-forum)

I would really like to have a stable Konqueror and can use KDevelop :?

Many greetings from Germany,
Julian

jo alles klar ;-)
Back to top
View user's profile Send private message
c_kuzmanic
Guru
Guru


Joined: 18 Apr 2002
Posts: 488
Location: Los Angeles , California

PostPosted: Fri Apr 19, 2002 3:32 pm    Post subject: Reply with quote

Zum Geier, you're right:)

There is an -r3 ebuild in /usr/src/portage/sys-libs/glibc .

However, portage does not seem to recognize this new ebuild, even though it doesn't appear to be masked. My advice: Finger Weg until there's more clarity on the issue:) I'm, sure there's a valid reason why this version isn't incorporated yet into portage, even though it's not apparent from the CHANGELOG in that directory.


snip-------------------------------------------------------

root@odin master # emerge --pretend glibc

These are the packages that I would merge, in order.

Calculating dependencies ...done!
[ebuild R ] sys-libs/glibc-2.2.5-r2 to /

root@odin master #

end snip----------------------------------------------------

I get this output despite the fact that I rsynced the portage tree, hence portage should be aware of -r3, yet it spits out -r2 as the current installable version.


I use -r2 and have never had a problem with KDE 3.0, therefore I'm not sure if upgrading glibc would solve anything, at least not in my case. By the same argument I wouldn't recommend emerging an old version of glibc, see the changelog for details on that subject.
Back to top
View user's profile Send private message
Gulliver
Tux's lil' helper
Tux's lil' helper


Joined: 18 Apr 2002
Posts: 146
Location: Hamburg, Germany

PostPosted: Fri Apr 19, 2002 3:54 pm    Post subject: Reply with quote

hehe,

I've uploaded the debugging output of Konqueror here:
www.gamestar.de/mdr/konqueror.error
Perhaps you can help me with this?

It is very scheiße ;-) when Konqueror crashes every few minutes, because I opened a new window!

An additional question:
How can I get portage to recompile KDE and not just to reinstall it when I unmerge and merge KDE again?

Many greetings from Germany,
Julian
Back to top
View user's profile Send private message
Jamon
Guest





PostPosted: Fri Apr 19, 2002 4:24 pm    Post subject: Interesting Reply with quote

I am having this problem also, and, after looking into it a bit, I found that, if you look at package.mask, by default glibc-2.2.5-r3 IS masked by default. It is labeled "Seems to cause binary incompatibility problems". Does anyone know what that's about? If it will fix my problem that would be great, but what kind of problems will it cause? If I need to re-emerge my system so be it. Would that solve the problems? FWIW, I have re-emerged KDE several times with no luck, even using different compile options with the same problems...

Jamon
Back to top
c_kuzmanic
Guru
Guru


Joined: 18 Apr 2002
Posts: 488
Location: Los Angeles , California

PostPosted: Fri Apr 19, 2002 4:32 pm    Post subject: Reply with quote

What does the following command spit out when you enter it?

emerge -C --pretend qt


(Careful - don't forget pretend - This command in this context will list all installed versions of an app without removing any)
Back to top
View user's profile Send private message
kerframil
l33t
l33t


Joined: 19 Apr 2002
Posts: 710
Location: London, UK

PostPosted: Fri Apr 19, 2002 5:03 pm    Post subject: Maybe this would help? Reply with quote

It would be interesting to see if the 'Minimize Memory Usage' option makes any difference (under the Configure Konqueror option). By changing this option to 'Never', every new window will be in its own instance at the (probably significant) expense of memory/speed. Not a proper solution I know, but just a thought ...
Back to top
View user's profile Send private message
Gulliver
Tux's lil' helper
Tux's lil' helper


Joined: 18 Apr 2002
Posts: 146
Location: Hamburg, Germany

PostPosted: Fri Apr 19, 2002 5:41 pm    Post subject: Reply with quote

c_kuzmanic wrote:
What does the following command spit out when you enter it?

emerge -C --pretend qt


(Careful - don't forget pretend - This command in this context will list all installed versions of an app without removing any)


The output is following:
These are the packages that I would unmerge :

x11-libs/qt
Selected : 2.3.2-r1 3.0.3-r1
Protected: none
Omitted : none

But I had have KDE at first running only with 3.0.3 I emerged 2.3.2 to use KBear!

Quote:
It would be interesting to see if the 'Minimize Memory Usage' option makes any difference (under the Configure Konqueror option). By changing this option to 'Never', every new window will be in its own instance at the (probably significant) expense of memory/speed. Not a proper solution I know, but just a thought ...


Perhaps it will help, because when I open new windows over right button and then new window it didn't crash, but each konqueror window is a new instance.

But also if this would help, KDevelop is unusable, too. So I would love to find the real problem!

Quote:

I am having this problem also, and, after looking into it a bit, I found that, if you look at package.mask, by default glibc-2.2.5-r3 IS masked by default. It is labeled "Seems to cause binary incompatibility problems". Does anyone know what that's about? If it will fix my problem that would be great, but what kind of problems will it cause? If I need to re-emerge my system so be it. Would that solve the problems? FWIW, I have re-emerged KDE several times with no luck, even using different compile options with the same problems...


I removed the warning from package.mask and now I'm compiling glibc-2.2.5-r3 I'll post a message, if it will work!

Many greetings from Germany,
Julian
Back to top
View user's profile Send private message
Gulliver
Tux's lil' helper
Tux's lil' helper


Joined: 18 Apr 2002
Posts: 146
Location: Hamburg, Germany

PostPosted: Fri Apr 19, 2002 7:53 pm    Post subject: Reply with quote

No way!
glibc-2.2.5-r3 is exactly the same....
Or must I recompile KDE with new glibc?
I'll try it over night!

Many greetings from Germany,
Julian
Back to top
View user's profile Send private message
Gulliver
Tux's lil' helper
Tux's lil' helper


Joined: 18 Apr 2002
Posts: 146
Location: Hamburg, Germany

PostPosted: Sat Apr 20, 2002 12:00 pm    Post subject: Reply with quote

Hi,

after emerge of Qt 3.0.3.1, unmerge Qt 3.0.3-r1 and remerge kdelibs KDevelop is stable as a rock now. But Konqueror crashes the same way. But the debug output of Konqueror is shorter now.
http://www.gamestar.de/mdr/konqueror.error (Qt 3.0.3-r1)
http://www.gamestar.de/mdr/konqueror.error2 (Qt 3.0.3.1)
And after remerge of kdebase I think Konqueror is more stable then before, but not stable as a rock, and when it crashes the debug output has a length between the first two ones:
http://www.gamestar.de/mdr/konqueror.error3

I'll try to recompile complete KDE over night, and post then if it fixed the problem complete!

Many greetings from Germany,
Julian
Back to top
View user's profile Send private message
daybird
n00b
n00b


Joined: 02 May 2002
Posts: 12

PostPosted: Thu May 09, 2002 12:04 am    Post subject: unmerge kebuildpart Reply with quote

I bet if you unmerge kebuildpart (comes with kemerge) your troubles with konqueror will be over (well, the crashing at least).
Back to top
View user's profile Send private message
wahuu
n00b
n00b


Joined: 21 Apr 2002
Posts: 14
Location: Austria

PostPosted: Fri May 10, 2002 11:14 pm    Post subject: KDE 3.0.1 Reply with quote

I hope KDE 3.0.1, which will probably be released on Wednesday, 15 May 02, will solve all these problems. :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum